- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# QGestureEvent Class Reference

Search for all occurrences

## Detailed Description

Definition at line 832 of file qevent.h.

`#include <qevent.h>`

Inheritance diagram for QGestureEvent:
[legend]

List of all members.

## Public Member Functions
| QGestureEvent (const QList< QGesture * > &gestures)
| ~QGestureEvent ()
QList< QGesture * > | gestures () const
QGesture * | gesture (Qt::GestureType type) const
QList< QGesture * > | activeGestures () const
QList< QGesture * > | canceledGestures () const
void | setAccepted (QGesture *, bool)
void | accept (QGesture *)
void | ignore (QGesture *)
bool | isAccepted (QGesture *) const
void | setAccepted (Qt::GestureType, bool)
void | accept (Qt::GestureType)
void | ignore (Qt::GestureType)
bool | isAccepted (Qt::GestureType) const
void | setWidget (QWidget *widget)
QWidget * | widget () const
QPointF | mapToGraphicsScene (const QPointF &gesturePoint) const
## Friends
class | QApplication
class | QGestureManager

## Constructor & Destructor Documentation

QGestureEvent | ( | const QList< QGesture * > & | gestures | ) |

~QGestureEvent | ( |  | ) |

## Member Function Documentation

QList<QGesture *> gestures | ( |  | ) | const

Search for all occurrences

QGesture* gesture | ( | Qt::GestureType | type | ) | const

Search for all occurrences

QList<QGesture *> activeGestures | ( |  | ) | const

Search for all occurrences

QList<QGesture *> canceledGestures | ( |  | ) | const

Search for all occurrences

void setAccepted | ( | QGesture * | ,
|  | bool |
| ) |  |

Search for all occurrences

void accept | ( | QGesture * |  | ) |

Search for all occurrences

void ignore | ( | QGesture * |  | ) |

Search for all occurrences

bool isAccepted | ( | QGesture * |  | ) | const

Search for all occurrences

void setAccepted | ( | Qt::GestureType | ,
|  | bool |
| ) |  |

Search for all occurrences

void accept | ( | Qt::GestureType |  | ) |

Search for all occurrences

void ignore | ( | Qt::GestureType |  | ) |

Search for all occurrences

bool isAccepted | ( | Qt::GestureType |  | ) | const

Search for all occurrences

void setWidget | ( | QWidget * | widget | ) |

Search for all occurrences

QWidget* widget | ( |  | ) | const

Search for all occurrences

QPointF mapToGraphicsScene | ( | const QPointF & | gesturePoint | ) | const

Search for all occurrences

## Friends And Related Function Documentation

friend class QApplication `[friend]`

Search for all occurrences

Reimplemented from QEvent.

Definition at line 878 of file qevent.h.

friend class QGestureManager `[friend]`

Search for all occurrences

Reimplemented from QEvent.

Definition at line 879 of file qevent.h.

The documentation for this class was generated from the following file:

- QtGui/qevent.h

QGestureEvent QGestureEvent QGestureEvent QGestureEvent QGestureEvent QGestureEvent QGestureEvent QGestureEvent QGestureEvent QGestureEvent
QGestureEvent QGestureEvent QGestureEvent QGestureEvent QGestureEvent QGestureEvent QGestureEvent QGestureEvent QGestureEvent QGestureEvent